getCloudCacheImageProductList

Prev Next

Available in VPC

Get the Cloud DB for Cache image product code list.

Note

Cloud DB for Cache API offers two versions based on the supported DBMS range.

  • getCloudCacheImageProductList API: Support for Valkey and Redis DBMS
  • getCloudRedisImageProductList API: Support for Redis DBMS

getCloudCacheImageProductList API

This section describes the request and response formats for the getCloudCacheImageProductList API.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET | POST /vcache/v2/getCloudCacheImageProductList
Note

This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.

Request headers

For information about the headers common to all Cloud DB for Cache (VPC) APIs, see Cloud DB for Cache (VPC) request headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
regionCode String Optional Region code of the Cloud DB for Cache image product code list to query
  • See getRegionList.
  • First Region of the getRegionList query result (default).
productCode String Optional Filter by Cloud DB for Cache image product code.
exclusionProductCode String Optional Filter by excluding the Cloud DB for Cache image product code.
generationCode String Optional Filter by server generation code.
  • G2 | G3
responseFormatType String Optional Format of the response result
  • xml (default) | json

Request example

The request example is as follows:

curl --location --request GET 'https://ncloud.apigw.ntruss.com/vcache/v2/getCloudCacheImageProductList
?regionCode=KR
&productCode=SW.VRDS.OS.LNX64.ROCKY.0810.VALKY.B050' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

This section describes the response format.

Response body

See ProductList for the response body.

Response status codes

For information about the HTTP status codes common to all Cloud DB for Cache (VPC) APIs, see Cloud DB for Cache (VPC) response status codes.

Response example

The response example is as follows:

  • If responseFormatType=json
{
    "getCloudCacheImageProductListResponse": {
        "totalRows": 1,
        "productList": [
            {
                "productCode": "SW.VRDS.OS.LNX64.ROCKY.0810.VALKY.B050",
                "productName": "Valkey(7.2.11)",
                "productType": {
                    "code": "LINUX",
                    "codeName": "Linux"
                },
                "productDescription": "Rocky Linux 8.10 with Valkey",
                "infraResourceType": {
                    "code": "SW",
                    "codeName": "Software"
                },
                "baseBlockStorageSize": 53687091200,
                "platformType": {
                    "code": "LNX64",
                    "codeName": "Linux 64 Bit"
                },
                "osInformation": "Rocky Linux 8.10 with Valkey (64-bit)",
                "generationCode": "G2",
                "engineVersionCode": "7.2.11"
            }
        ],
        "requestId": "85d5d076-****-****-****-109aff5e430e",
        "returnCode": "0",
        "returnMessage": "success"
    }
}
  • If responseFormatType=xml (default)
<?xml version="1.0" encoding="UTF-8"?>
<getCloudCacheImageProductListResponse>
    <requestId>85d5d076-****-****-****-109aff5e430e</requestId>
    <returnCode>0</returnCode>
    <returnMessage>success</returnMessage>
    <totalRows>1</totalRows>
    <productList>
        <product>
<productCode>SW.VRDS.OS.LNX64.ROCKY.0810.VALKY.B050</productCode>
        <productName>Valkey</productName>
        <productType>
          <code>LINUX</code>
          <codeName>Linux</codeName>
        </productType>
        <productDescription>Rocky Linux 8.10 with Valkey</productDescription>
        <infraResourceType>
          <code>SW</code>
          <codeName>Software</codeName>
        </infraResourceType>
        <baseBlockStorageSize>53687091200</baseBlockStorageSize>
        <platformType>
          <code>LNX64</code>
          <codeName>Linux 64 Bit</codeName>
        </platformType>
        <osInformation>Rocky Linux 8.10 with Valkey (64-bit)</osInformation>
        <generationCode>G2</generationCode>
        <engineVersionCode>7.2.11</engineVersionCode>
        </product>
    </productList>
</getCloudCacheImageProductListResponse>

getCloudRedisImageProductList API

This section describes the request and response formats for the getCloudRedisImageProductList API.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET | POST /vredis/v2/getCloudRedisImageProductList
Note

This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.

Request headers

For information about the headers common to all Cloud DB for Cache APIs, see Cloud DB for Cache request headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
regionCode String Optional Region code of the Cloud DB for Cache image product code list to query
  • See getRegionList.
  • First Region of the getRegionList query result (default).
productCode String Optional Filter by Cloud DB for Cache image product code.
exclusionProductCode String Optional Filter by excluding the Cloud DB for Cache image product code.
generationCode String Optional Filter by server generation code.
  • G2 | G3
responseFormatType String Optional Format of the response result
  • xml (default) | json

Request example

The request example is as follows:

curl --location --request GET 'https://ncloud.apigw.ntruss.com/vredis/v2/getCloudRedisImageProductList
?regionCode=KR
&productCode=SW.VDBAS.VRDS.LNX64.CNTOS.0708.REDIS.7015.B050' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

This section describes the response format.

Response body

See ProductList for the response body.

Response status codes

For information about the HTTP status codes common to all Cloud DB for Cache (VPC) APIs, see Cloud DB for Cache (VPC) response status codes.

Response example

The response example is as follows:

  • If responseFormatType=json

    {
        "getCloudRedisImageProductListResponse": {
            "totalRows": 1,
            "productList": [
                {
                    "productCode": "SW.VDBAS.VRDS.LNX64.CNTOS.0708.REDIS.7015.B050",
                    "productName": "Redis(7.0.15)",
                    "productType": {
                        "code": "LINUX",
                        "codeName": "Linux"
                    },
                    "productDescription": "CentOS 7.8 with Redis 7.0.15",
                    "infraResourceType": {
                        "code": "SW",
                        "codeName": "Software"
                    },
                    "baseBlockStorageSize": 53687091200,
                    "platformType": {
                        "code": "LNX64",
                        "codeName": "Linux 64 Bit"
                    },
                    "osInformation": "CentOS 7.8 with Redis 7.0.15 (64-bit)",
                    "generationCode": "G2"
                }
            ],
            "requestId": "85d5d076-****-****-****-109aff5e430e",
            "returnCode": "0",
            "returnMessage": "success"
        }
    }
    
  • If responseFormatType=xml (default)

    <?xml version="1.0" encoding="UTF-8"?>
    <getCloudRedisImageProductListResponse>
        <requestId>85d5d076-****-****-****-109aff5e430e</requestId>
        <returnCode>0</returnCode>
        <returnMessage>success</returnMessage>
        <totalRows>1</totalRows>
        <productList>
            <product>
                <productCode>SW.VDBAS.VRDS.LNX64.CNTOS.0708.REDIS.7015.B050</productCode>
                <productName>Redis(7.0.15)</productName>
                <productType>
                    <code>LINUX</code>
                    <codeName>Linux</codeName>
                </productType>
                <productDescription>CentOS 7.8 with Redis 7.0.15</productDescription>
                <infraResourceType>
                    <code>SW</code>
                    <codeName>Software</codeName>
                </infraResourceType>
                <baseBlockStorageSize>53687091200</baseBlockStorageSize>
                <platformType>
                    <code>LNX64</code>
                    <codeName>Linux 64 Bit</codeName>
                </platformType>
                <osInformation>CentOS 7.8 with Redis 7.0.15 (64-bit)</osInformation>
                <generationCode>G2</generationCode>
            </product>
        </productList>
    </getCloudRedisImageProductListResponse>